summary refs log tree commit diff stats
path: root/scripts
diff options
context:
space:
mode:
authorSilas Schöffel <sils@sils.li>2024-07-25 08:36:30 +0200
committerSilas Schöffel <sils@sils.li>2024-07-25 08:36:30 +0200
commit22d7c8bb5a05ee0f543d418362495520358e601e (patch)
tree6a6f20bd5a613633c9ed8c1a63e39f1df9bc989b /scripts
downloadverguetungsordnung-22d7c8bb5a05ee0f543d418362495520358e601e.tar.gz
verguetungsordnung-22d7c8bb5a05ee0f543d418362495520358e601e.zip
initial commit
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/extract_text_from_all.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/extract_text_from_all.sh b/scripts/extract_text_from_all.sh
new file mode 100755
index 0000000..11b2ac4
--- /dev/null
+++ b/scripts/extract_text_from_all.sh
@@ -0,0 +1,8 @@
+#! /usr/bin/env sh
+
+grep 'INPUT ./' ./build/main.fls | uniq | sed 's/INPUT //' | while read -r file; do
+    if ! [ "$(basename "$file")" = preamble.tex ] && ! [ "$(basename "$file")" = gymnasium.png ]; then
+        printf "\n%% Filename: %s\n" "$file"
+        grep -v '^\s*%' "$file"
+    fi
+done